
package com.tmerclub.cloud.common.product.vo.search;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 满减满折优惠项VO
 *
 * @author tmerclub
 * @date 2020-12-16 16:25:09
 */
public class SpuDiscountItemAppVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "满减满折优惠项id")
    private Long discountItemId;

    @Schema(description = "所需需要金额")
    private Long needAmount;

    @Schema(description = "优惠（元/折）9.5折就是95、9.5元就是950")
    private Long discount;

    public Long getDiscountItemId() {
        return discountItemId;
    }

    public void setDiscountItemId(Long discountItemId) {
        this.discountItemId = discountItemId;
    }

    public Long getNeedAmount() {
        return needAmount;
    }

    public void setNeedAmount(Long needAmount) {
        this.needAmount = needAmount;
    }

    public Long getDiscount() {
        return discount;
    }

    public void setDiscount(Long discount) {
        this.discount = discount;
    }

    @Override
    public String toString() {
        return "DiscountItemVO{" +
                "discountItemId=" + discountItemId +
                ",needAmount=" + needAmount +
                ",discount=" + discount +
                '}';
    }
}
